_hashlib (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules
Class _hashlib

    java.lang.Object
      org.python.modules._hashlib

All Implemented Interfaces:
  ClassDictInit

    public class _hashlib

extends Object
implements ClassDictInit

The Python _hashlib module: provides hashing algorithms via java.security.MessageDigest. The 'openssl' method prefix is to match CPython and provide what the pure python hashlib.py module expects.

Nested Class Summary
`static class` | `_hashlib.Hash` A generic wrapper around a MessageDigest.

Constructor Summary
`_hashlib()`

Method Summary
`static void` | `classDictInit(PyObject dict)`
`static PyObject` | `new$(String name)`
`static PyObject` | `new$(String name, PyObject obj)`
`static PyObject` | `openssl_md5()`
`static PyObject` | `openssl_md5(PyObject obj)`
`static PyObject` | `openssl_sha1()`
`static PyObject` | `openssl_sha1(PyObject obj)`
`static PyObject` | `openssl_sha256()`
`static PyObject` | `openssl_sha256(PyObject obj)`
`static PyObject` | `openssl_sha384()`
`static PyObject` | `openssl_sha384(PyObject obj)`
`static PyObject` | `openssl_sha512()`
`static PyObject` | `openssl_sha512(PyObject obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _hashlib

    public _hashlib()

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

### new$

    public static PyObject new$(String name)

### new$

    public static PyObject new$(String name,
                                PyObject obj)

### openssl_md5

    public static PyObject openssl_md5()

### openssl_md5

    public static PyObject openssl_md5(PyObject obj)

### openssl_sha1

    public static PyObject openssl_sha1()

### openssl_sha1

    public static PyObject openssl_sha1(PyObject obj)

### openssl_sha256

    public static PyObject openssl_sha256()

### openssl_sha256

    public static PyObject openssl_sha256(PyObject obj)

### openssl_sha384

    public static PyObject openssl_sha384()

### openssl_sha384

    public static PyObject openssl_sha384(PyObject obj)

### openssl_sha512

    public static PyObject openssl_sha512()

### openssl_sha512

    public static PyObject openssl_sha512(PyObject obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage